Home
About
Join Today
Join Today
  • Sign Up
  • Sign In
Conatct Us
Home
About
Join Today
Join Today
  • Sign Up
  • Sign In
Conatct Us
  1. Recharge
  • Introduction
  • Getting Started
  • Authentication
  • HTTPS Status Codes
  • Rate Limits
  • Callbacks
    • Recharge Callback
  • NSDL Account Opening
    • BC Agent Onboarding
      POST
    • Create Account
      POST
    • Account Status
      GET
  • Recharge
    • Operator List
      GET
    • HLR Check
      POST
    • DTH Info
      POST
    • Browse Plans
      POST
    • Initiate Recharge
      POST
    • Check Status
      GET
  • Bill Payment
    • Biller List
      POST
    • Fetch Bill
      POST
    • Bill Pay
      POST
  • Verification Suite
    • Digilocker
      • Initiate
      • Check Status
      • Download Aadhaar
    • Aadhaar
      • Send OTP
      • Verify OTP
    • UPI Verification
      POST
    • Bank Verification
      POST
    • PAN Verification
      POST
    • GSTIN Verification
      POST
  • Comunications API
    • Send SMS OTP
    • Send Whatsapp OTP
  1. Recharge

HLR Check

POST
/api/v1/recharge/hlr-check
HLR Check API
Perform real-time Home Location Register (HLR) lookup to identify the telecom operator and service circle associated with a mobile number. This API enables automatic operator detection, reduces recharge failures caused by incorrect operator selection, and improves transaction success rates. Commonly used for number validation, smart recharge flows, and fraud prevention before initiating a recharge request.

Request

Header Params

Body Params application/json

Example
{
    "mobile_number": 9999999999,
    "type": "mobile"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/recharge/hlr-check' \
--header 'x-client-id: {{client_id}}' \
--header 'x-client-secret: {{client_secret}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mobile_number": 9999999999,
    "type": "mobile"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "response_code": 200,
    "status": "success",
    "message": "Success",
    "data": {
        "operator": "Airtel",
        "circle": "Bihar Jharkhand"
    },
    "meta": {
        "request_id": "902e2cd0-4b84-46f8-9dbb-fc6b84906333",
        "time": "2026-02-22T16:10:24+05:30"
    }
}
🟠401Unauthorized
🟠422Validation Error
Previous
Operator List
Next
DTH Info
Built with